/*****************************************************************************
 * File:			uartio.h
 * Description:		Llibreria UART I/O
 * 					Permet llegir i escriure pel port UART (0, 1 o 3)
 *
 * Author:			Sergio Gómez
 *****************************************************************************/

#ifndef PRINTF_H_
#define PRINTF_H_

void UARTIOInit(uint32_t UARTPort, uint32_t BaudRate);
void UARTIOPrintText(uint32_t UARTPort, char *Text);
void UARTIOPrintTextNum(uint32_t UARTPort, char *Text, int32_t Num);
void UARTIOPrintTextCRLF(uint32_t UARTPort, char *Text);
void UARTIOPrintTextNumCRLF(uint32_t UARTPort, char *Text, int32_t Num);
uint32_t UARTIOScanf(uint32_t UARTPort, char* string, uint32_t timeout);

#endif /* PRINTF_H_ */
