/*
 * debug.c
 *
 *  Created on: 16/11/2013
 *      Author: sgomez
 */

#include "FreeRTOS.h"
#include "task.h"
#include "LPC17xx.h"
#include "type.h"
#include "uartio.h"
#include "debug.h"
#include "config.h"

void debugInit( void ){

	UARTIOInit(UART_DEBUG, BAUDRATE);
}

void debug(char *Text){

	UARTIOPrintText(UART_DEBUG, "[Debug] ");
	UARTIOPrintTextCRLF(UART_DEBUG, Text);

}

void debugNum(char *Text, int32_t Num){

	UARTIOPrintText(UART_DEBUG, "[Debug] ");
	UARTIOPrintTextNumCRLF(UART_DEBUG, Text, Num);

}
